Name:          nanoxml
Version:       2.2.3
Release:       %mkrel 1
Summary:       A small XML parser for Java
Group:         Development/Java
License:       zlib/libpng license, Open Source Software 
Url:           http://devkix.com/nanoxml.php
Source0:       http://devkix.com/NanoXML-2.2.3.tar.gz
# from http://repo1.maven.org/maven2/be/cyberelf/nanoxml/nanoxml/%{version}/
Source1:       nanoxml-%{version}.pom
Source2:       lite-%{version}.pom
Patch0:        nanoxml-2.2.3-build_sh.patch
BuildRequires: java_cup
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: sax2
Requires:      jpackage-utils
BuildArch:     noarch

%description
NanoXML is a small XML parser for Java.
NanoXML comes in three different components:

NanoXML/Java
    The standard parser for Java.
NanoXML/SAX
    A SAX adapter for NanoXML/Java.
NanoXML/Lite
    An extremely small (6KB) XML parser which is the successor of NanoXML 1.
    It only provides a limited functionality: no mixed content and the
    DTD is ignored.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils
Requires:      %{name} = %{version}-%{release}

%description javadoc
NanoXML is a small XML parser for Java.

This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documents for  %{name}

%description manual
NanoXML is a small XML parser for Java.

This package contains documents for %{name}.

%prep
%setup -q -n NanoXML-%{version}
%patch0 -p1

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

ln -sf $(build-classpath sax2) ThirdParty/SAX/sax.jar

%build

sh ./build.sh

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-nanoxml.pom
%add_to_maven_depmap be.cyberelf.nanoxml nanoxml %{version} JPP nanoxml

install -pm 644 Output/nanoxml.jar %{buildroot}%{_javadir}/nanoxml-%{version}.jar
install -pm 644 Output/nanoxml-sax.jar %{buildroot}%{_javadir}/nanoxml-sax-%{version}.jar
install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-nanoxml-lite.pom
%add_to_maven_depmap be.cyberelf.nanoxml lite %{version} JPP nanoxml-lite

install -pm 644 Output/nanoxml-lite.jar %{buildroot}%{_javadir}/nanoxml-lite-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/nanoxml-%{version}
cp -pr Documentation/JavaDoc/* %{buildroot}%{_javadocdir}/nanoxml-%{version}
ln -s nanoxml-%{version} %{buildroot}%{_javadocdir}/nanoxml

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/nanoxml-%{version}.jar
%{_javadir}/nanoxml.jar
%{_javadir}/nanoxml-sax-%{version}.jar
%{_javadir}/nanoxml-sax.jar
%{_javadir}/nanoxml-lite-%{version}.jar
%{_javadir}/nanoxml-lite.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/nanoxml-%{version}
%{_javadocdir}/nanoxml

%files manual
%doc Documentation/NanoXML-Java Documentation/NanoXML-Lite



%changelog

* Sat Sep 03 2011 dmorgan <dmorgan> 2.2.3-1.mga2
+ Revision: 138193
- Fix groups
- Adapt to mageia guidelines

  + gil <gil>
    - imported package nanoxml


* Sat Jun 25 2011 gil <gil> 2.2.3-0.%%mkrel
- initial rpm